classification
Title: [PATCH] postflight.framework script (from the Mac OS X .dmg installer) fails.
Type: behavior Stage: resolved
Components: Installation, macOS Versions: Python 3.1, Python 3.2, Python 2.7, Python 2.6
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: ronaldoussoren Nosy List: ned.deily, ronaldoussoren, slavi
Priority: normal Keywords: patch

Created on 2009-09-17 17:46 by slavi, last changed 2009-09-20 11:28 by ronaldoussoren. This issue is now closed.

Files
File name Uploaded Description Edit
postflight.framework.patch slavi, 2009-09-17 17:50 postflight.framework patch
Messages (4)
msg92786 - (view) Author: Svetoslav Agafonkin (slavi) Date: 2009-09-17 17:46
postflight.framework fails during installation:

. . .
Sep 17 17:36:53 mcfro Installer[1613]: run postflight script for Python 
Framework
Sep 17 17:36:53 mcfro runner[1633]: postflight[1660]: /Volumes/Python 
3.1.1/Python.mpkg/Contents/Packages/PythonFramework-
3.1.pkg/Contents/Resources/postflight: line 9: 
/Library/Frameworks/Python.framework/Versions/3.1/bin/python: No such 
file or directory
Sep 17 17:36:53 mcfro runner[1633]: postflight[1660]: 
Sep 17 17:36:53 mcfro runner[1633]: postflight[1660]: /Volumes/Python 
3.1.1/Python.mpkg/Contents/Packages/PythonFramework-
3.1.pkg/Contents/Resources/postflight: line 14: 
/Library/Frameworks/Python.framework/Versions/3.1/bin/python: No such 
file or directory
Sep 17 17:36:53 mcfro runner[1633]: postflight[1660]: /Volumes/Python 
3.1.1/Python.mpkg/Contents/Packages/PythonFramework-
3.1.pkg/Contents/Resources/postflight: line 19: 
/Library/Frameworks/Python.framework/Versions/3.1/bin/python: No such 
file or directory
Sep 17 17:36:53 mcfro runner[1633]: postflight[1660]: 
Sep 17 17:36:53 mcfro runner[1633]: postflight[1660]: /Volumes/Python 
3.1.1/Python.mpkg/Contents/Packages/PythonFramework-
3.1.pkg/Contents/Resources/postflight: line 24: 
/Library/Frameworks/Python.framework/Versions/3.1/bin/python: No such 
file or directory
Sep 17 17:36:53 mcfro runner[1633]: postflight[1660]: 
Sep 17 17:36:53 mcfro runner[1633]: postflight[1660]: chown: admin: 
Invalid argument
Sep 17 17:36:53 mcfro runner[1633]: postflight[1660]: 

The first problem is that in 
/Library/Frameworks/Python.framework/Versions/3.1/bin there is no 
executable 'python' anymore - there is 'python3.1', etc.

Also chown at the end should set the group to 'admin', not the owner.

I've attached a patch that fixes these issues. (the problem with chown 
is also present in the installer for 2.6.x ).
msg92807 - (view) Author: Ronald Oussoren (ronaldoussoren) * (Python committer) Date: 2009-09-18 06:06
Thanks. I'll fix this over the weekend.
msg92817 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2009-09-18 08:26
Issue5652 suggests removing the Mac/Tools references here and in trunk.
msg92889 - (view) Author: Ronald Oussoren (ronaldoussoren) * (Python committer) Date: 2009-09-20 11:28
I've fixed this issue in all 4 active branches.
History
Date User Action Args
2009-09-20 11:28:49ronaldoussorensetstatus: open -> closed
versions: + Python 2.6, Python 2.7, - Python 3.0
type: compile error -> behavior
messages: + msg92889

resolution: fixed
stage: resolved
2009-09-18 08:26:34ned.deilysetnosy: + ned.deily
messages: + msg92817
2009-09-18 06:06:15ronaldoussorensetmessages: + msg92807
2009-09-17 19:17:43slavisettitle: {PATCH} postflight.framework script (from the Mac OS X .dmg installer) fails. -> [PATCH] postflight.framework script (from the Mac OS X .dmg installer) fails.
2009-09-17 19:17:04slavisettitle: postflight.framework script (from the Mac OS X .dmg installer) fails (patch given). -> {PATCH} postflight.framework script (from the Mac OS X .dmg installer) fails.
2009-09-17 17:50:03slavisetfiles: + postflight.framework.patch
2009-09-17 17:49:49slavisetfiles: - postflight.framework.patch
2009-09-17 17:46:15slavicreate